<? $this->headTitle('Biography', 'APPEND'); $defines = Zend_Registry::get('defines') ?>
<? $system = ROYAL_SYSTEM == Cubix_Application::getById()->measure_units ? ROYAL_SYSTEM : METRIC_SYSTEM ?>

<style type="text/css">
input.loading {
	background: url('<?= _st('internal/ajax-loader.gif') ?>') no-repeat 99% 50% !important;
	padding-right: 5px !important;
}

input.valid {
	background: url('<?= _st('internal/icon_ok.png') ?>') no-repeat 99% 50% !important;
	padding-right: 5px !important;
}

input.invalid {
	background: url('<?= _st('internal/icon_error.png') ?>') no-repeat 99% 50% !important;
	padding-right: 5px !important;
}
</style>
<script type="text/javascript">
	window.addEvent('domready', function(){
		<? /*$('showname').addEvent('blur', function() {
			this.addClass('loading');
			this.removeClass('valid');
			this.removeClass('invalid');

			new Request({
				url: "/<?= $this->lang() ?>/private-v2/exists-by-showname?showname=" + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					var resp = JSON.decode(resp);

					this.removeClass('loading');

					if ( resp.status == 'true' ) {
						this.addClass('invalid');
						this.removeClass('valid');
					}
					else if ( resp.status == 'false' ) {
						this.addClass('valid');
						this.removeClass('invalid');
					}
				}.bind(this)
			}).send();
		});*/ ?>
		
		var initLocations = function () {
			var remove = function () {
				if ( this.getParent('.location') )
				{
					this.getParent('.location').destroy();
				}
			};

			$$('#countries .icon-remove').addEvent('click', remove);

			var city_id = $('block_country').get('value'),
			city_title = $('block_country').getSelected().get('html');

			if ( ! city_id ) return;
		
			var found = false;
			$$('#countries input[type=hidden]').each(function (el) {
				var _city_id = el.get('value');
				if ( city_id == _city_id ) {
					found = true;
					el.set('value', city_id);
					el.getPrevious('label').getElement('span').set('html', city_title);
				}
			});

			var selected_country_count = $$('#countries div.location').length + 1;

			if ( ! found ) {
				var location = new Element('div', { 'class': 'location mb5' }).inject($('countries'));

				new Element('a', {
					'class': 'sbtn icon-remove'
				}).inject(new Element('div', {
					'class': 'fleft m0'
				}).inject(location)).addEvent('click', remove);

				var label = new Element('label', { 'class': 'fleft' }).inject(location);

				var span = new Element('span', {
					html: city_title
				}).inject(label);



				new Element('input', {
					type: 'hidden',
					name: 'block_countries[]',
					value: city_id
				}).inject(location);

				new Element('div', { 'class': 'clear' }).inject(location);

			}

		};
		
		initLocations();

		$('btn-location-add').addEvent('click', function() {
			initLocations();
		});
	});
</script>

<fieldset>
	<legend><?= __('pv2_section_basic_bio') ?></legend>

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body">
		<div class="inner">
			<label for="showname"><?= __('pv2_label_showname') ?> <b>*</b></label>
			<input id="showname" class="txt" type="text" name="showname" value="<?= $this->data['showname'] ?>" size="40" />

			<span class="tip" title="<?= __('pv2_tip_showname') ?>"></span>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="slogan"><?= __('pv2_label_slogan') ?></label>
			<input id="slogan" class="txt" type="text" maxlength="20" name="slogan" value="<?= $this->slogan ?>" size="40" />

			<span class="tip" title="<?= __('pv2_tip_slogan') ?>"></span>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label class="el-disabled"><?= __('pv2_label_gender') ?> <b>*</b></label>
			<dl class="options">
				<dt>
					<label for="gender-<?= GENDER_FEMALE ?>" class="el-disabled"><?= $defines['gender_options'][GENDER_FEMALE] ?></label><br/>
					<input id="gender-<?= GENDER_FEMALE ?>" type="radio" name="gender-r" value="<?= GENDER_FEMALE ?>" checked="checked" disabled="disabled" />
					<input type="hidden" name="gender" value="<?= GENDER_FEMALE ?>" />
				</dt>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<? $age = $this->dateToAge($this->data['birth_date']); ?>
			<label for="age"><?= __('pv2_label_age') ?></label>
			<select id="age" name="age">
				<option value="">-</option>
			<? for ( $i = 18; $i <= 60; $i++ ): ?>
				<option value="<?= $i ?>"<?= $age == $i ? ' selected="selected"' : '' ?><?= $age == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endfor ?>
			</select>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label><?= __('pv2_label_ethnicity') ?></label>
			<dl class="options">
				<? foreach ( $defines['ethnic_options'] as $i => $ethnicity ): ?> 
				<dt>
					<label for="ethnicity-<?= $i ?>"><?= $ethnicity ?></label><br/>
					<input id="ethnicity-<?= $i ?>" type="radio" name="ethnicity" value="<?= $i ?>"<?= $i == $this->data['ethnicity'] ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="nationality"><?= __('pv2_label_nationality') ?></label>
			<select id="nationality" name="nationality_id">
				<option value="">-</option>
			<? $model = new Model_Escorts(); foreach ( $model->getNationalityOptions() as $nationality ): ?>
				<option value="<?= $nationality->id ?>"<?= $this->data['nationality_id'] == $nationality->id ? ' selected="selected"' : '' ?>><?= $nationality->title ?>&nbsp;&nbsp;</option>
			<? endforeach; ?>
			</select>

			<div class="clear"></div>
		</div>
	</div>
</fieldset>

<fieldset class="vindent">
	<legend><?= __('pv2_section_vital_statistics') ?></legend>
	<div class="body">
		<? /* <input type="hidden" name="measure_units" value="<?= $system ?>" />
		<? if ( METRIC_SYSTEM == $system ): ?>
		<p class="attention"><?= __('pv2_text_change_metric_system_to_royal') ?></p>
		<? elseif ( ROYAL_SYSTEM == $system ): ?>
		<p class="attention"><?= __('pv2_text_change_metric_system_to_metric') ?></p>
		<? endif ?> */ ?>

		<div class="inner">
			<label><?= __('pv2_label_hair_color') ?></label>
			<dl class="options">
				<? foreach ( $defines['hair_color_options'] as $i => $color ): ?>
				<dt>
					<label for="hair-color-<?= $i ?>"><?= $color ?></label><br/>
					<input id="hair-color-<?= $i ?>" type="radio" name="hair_color" value="<?= $i ?>"<?= $this->data['hair_color'] == $i ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label><?= __('hair_length') ?></label>
			<dl class="options">
				<? foreach ( $defines['hair_length_options'] as $i => $length ): ?>
				<dt>
					<label for="hair-length-<?= $i ?>"><?= $length ?></label><br/>
					<input id="hair-length-<?= $i ?>" type="radio" name="hair_length" value="<?= $i ?>"<?= $this->data['hair_length'] == $i ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label><?= __('pv2_label_eye_color') ?></label>
			<dl class="options">
				<? foreach ( $defines['eye_color_options'] as $i => $color ): ?>
				<dt>
					<label for="eye-color-<?= $i ?>"><?= $color ?></label><br/>
					<input id="eye-color-<?= $i ?>" type="radio" name="eye_color" value="<?= $i ?>"<?= $this->data['eye_color'] == $i ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="height"><?= __('pv2_label_height') ?></label>
			<? $height = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['height'], 'cm', 'ftin') : $this->data['height'] ?>
			<select id="height" name="height">
				<option value="">-</option>
			<? foreach ( $this->defines['biography'][$system]['height'] as $i ): ?>
				<option value="<?= htmlentities($i) ?>"<?= $height == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endforeach ?>
			</select>
			<span class="units"><?= ROYAL_SYSTEM == $system ? 'feet\' inch"' : 'cm' ?></span>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="weight"><?= __('pv2_label_weight') ?></label>
			<? $weight = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['weight'], 'kg', 'lbs') : $this->data['weight'] ?>
			<select id="weight" name="weight">
				<option value="">-</option>
			<? foreach ( $this->defines['biography'][$system]['weight'] as $i ): ?>
				<option value="<?= $i ?>"<?= $weight == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endforeach ?>
			</select>
			<span class="units"><?= ROYAL_SYSTEM == $system ? 'lbs' : 'kg' ?></span>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="dress-size"><?= __('pv2_label_dress_size') ?></label>
			<select id="dress-size" name="dress_size">
				<option value="">-</option>
			<? foreach ( $this->defines['biography'][$system]['dress_size'] as $i ): ?>
				<option value="<?= $i ?>"<?= $this->data['dress_size'] == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endforeach ?>
			</select>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="shoe-size"><?= __('pv2_label_shoe_size') ?></label>
			<select id="shoe-size" name="shoe_size">
				<option value="">-</option>
			<? foreach ( $this->defines['biography'][$system]['shoe_size'] as $i ): ?>
				<option value="<?= $i ?>"<?= $this->data['shoe_size'] == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endforeach ?>
			</select>
			
			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="bust"><?= __('pv2_label_bust_waist_hip') ?></label>
			<?/*<select id="bust" name="bust">
				<option></option>
			<? for ( $i = 10; $i <= 100; $i += 5): ?>
				<option value="<?= $i ?>"<?= $this->data['bust'] == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endfor ?>
			</select>
			<select id="waist" name="waist">
				<option></option>
			<? for ( $i = 10; $i <= 100; $i += 5): ?>
				<option value="<?= $i ?>"<?= $this->data['waist'] == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endfor ?>
			</select>
			<select id="hip" name="hip">
				<option></option>
			<? for ( $i = 10; $i <= 100; $i += 5): ?>
				<option value="<?= $i ?>"<?= $this->data['hip'] == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endfor ?>
			</select>*/?>
			<input style="margin-right: 5px" id="bust" type="text" class="txt" name="bust" value="<?= $this->data['bust'] ?>" size="4" />
			<input style="margin-right: 5px" id="waist" type="text" class="txt" name="waist" value="<?= $this->data['waist'] ?>" size="4" />
			<input id="hip" type="text" class="txt" name="hip" value="<?= $this->data['hip'] ?>" size="4" />

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="cup-size"><?= __('pv2_label_cup_size') ?></label>
			<select id="cup-size" name="cup_size">
				<option value="">-</option>
				<? foreach ( $defines['breast_size_options'] as $i => $s ): ?>
				<option value="<?= $s ?>"<?= $this->data['cup_size'] == $s ? ' selected="selected"' : '' ?>><?= $s ?>&nbsp;&nbsp;</option>
				<? endforeach ?>
			</select>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label><?= __('pv2_label_pubic_hair') ?></label>
			<dl class="options">
				<? foreach ( $defines['pubic_hair_options'] as $i => $hair ): ?>
				<dt>
					<label for="pubic-hair-<?= $i ?>"><?= $hair ?></label><br/>
					<input id="pubic-hair-<?= $i ?>" type="radio" name="pubic_hair" value="<?= $i ?>"<?= $i == $this->data['pubic_hair'] ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>
		
		<div class="inner">
			<label><?= __('pv2_label_tattoo') ?> <spam style="font-weight: normal;padding-left: 5px;color:red">New</spam></label>
			<dl class="options">
				<? foreach ( $defines['tatoo_options'] as $i => $hair ): ?>
				<dt>
					<label for="tatoo-<?= $i ?>"><?= $hair ?></label><br/>
					<input id="tatoo-<?= $i ?>" type="radio" name="tatoo" value="<?= $i ?>"<?= $i == $this->data['tatoo'] ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>
		
		<div class="inner">
			<label><?= __('pv2_label_piercing') ?> <spam style="font-weight: normal;padding-left: 5px;color:red">New</spam></label>
			<dl class="options">
				<? foreach ( $defines['piercing_options'] as $i => $hair ): ?>
				<dt>
					<label for="piercing-<?= $i ?>"><?= $hair ?></label><br/>
					<input id="tatoo-<?= $i ?>" type="radio" name="piercing" value="<?= $i ?>"<?= $i == $this->data['piercing'] ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>
	</div>
</fieldset>

<fieldset class="vindent">
	<legend><?= __('pv2_block_countries') ?></legend>
	<div name="locations">
		<div class="inner">
			<? //= __('block_countries_description') ?>
			If you don't want your profile is being watched from a certain country (e.g. your home country),
			we offer you to block IP access from the country(ies) selected. Just choose from the drop down
			menu the countries you would like to block and click on the add button.
		</div>
		<div class="inner">
			<label for="city">Block Country</label>
			<?php
			$countries = $this->countries;
			?>
			<select id="block_country" name="b_country" class="w21 selectbox">
				<option value="">- - -</option>
				<?php if (count($countries) > 0): ?>
					<? foreach ($countries as $country): ?>
						<option value="<?= $country->id ?>" ><?= $country->title ?></option>
					<? endforeach; ?>
				<?php endif; ?>
			</select>
			<a id="btn-location-add" class="sbtn icon-add mt20"></a>
		</div>

		<div class="clear"></div>

		<div id="countries" class="inner">
			<?
			if (count($this->data['block_countries']) > 0):
				foreach ($this->data['block_countries'] as $b_country):
					?>
								
					<div class="location mb5">
						<div class="fleft m0">
							<a class="sbtn icon-remove"></a>
						</div>
									
						<label class="fleft">
							<span><?= $countries[$b_country['country_id'] - 1]->title ?></span>
										
						</label>
						<input type="hidden" name="block_countries[]" value="<?= $b_country['country_id'] ?>" />
						<div class="clear"></div>
					</div>
					<?
				endforeach;
			endif;
			?>
		</div>
	</div>
</fieldset>